"""Store a list of countries and their codes.
"""
import collections


Country = collections.namedtuple("Country", ["country_code", "country_id", "name"])


COUNTRIES = [
    Country("eng", 1, "England"),
    Country("aus", 2, "Australia"),
    Country("sa", 3, "South Africa"),
    Country("wi", 4, "West Indies"),
    Country("nz", 5, "New Zealand"),
    Country("ind", 6, "India"),
    Country("pak", 7, "Pakistan"),
    Country("sl", 8, "Sri Lanka"),
    Country("zim", 9, "Zimbabwe"),
    Country("ban", 25, "Bangladesh"),
]


def get_country_by_id(country_id):
    """Return the country with the matching country_id.

    >>> get_country_by_id(1)
    Country(country_code='eng', country_id=1, name='England')
    """
    for country in COUNTRIES:
        if country.country_id == country_id:
            return country
    raise IndexError(u"No country for {0}".format(country_id))


def get_country_by_code(country_code):
    """Return the country with the matching country_code.

    >>> get_country_by_id(2)
    Country(country_code='aus', country_id=2, name='Australia')
    """
    for country in COUNTRIES:
        if country.country_code == country_code:
            return country
    raise IndexError(u"No country for {0}".format(country_code))
